# $Revision: 1.30 $, $Date: 2012/03/05 10:18:20 $
#
# TODO:
# m4 macros from pandora-build (http://code.launchpad.net/pandora-build)
#
# Conditional build
%bcond_without  static_libs	# don't build static library
#
Summary:	memcached client library
Summary(pl.UTF-8):	Blblioteka kliencka memcached
Name:		libmemcached
Version:	1.0.4
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://launchpad.net/libmemcached/1.0/%{version}/+download/%{name}-%{version}.tar.gz
# Source0-md5:	6eded403ce736f6ac3c42c8f54dc88ae
URL:		http://libmemcached.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libevent-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	perl-tools-pod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmemcached is a C and C++ client library to the memcached server
(http://danga.com/memcached). It has been designed to be light on
memory usage, thread safe, and provide full access to server side
methods.

%description -l pl.UTF-8
libmemcached to biblioteka kliencka serwera memcached
(http://danga.com/memcached) dla języków C/C++. Została zaprojektowana
z myślą o niewielkim zużyciu pamięci, bezpieczeństwe i pełnym dostępie
do metod po stronie serwera.

%package devel
Summary:	Header files for memcached library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki memcached
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cyrus-sasl-devel

%description devel
Header files for memcached library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki memcached.

%package static
Summary:	Static memcached library
Summary(pl.UTF-8):	Statyczna biblioteka memcached
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static memcached library.

%description static -l pl.UTF-8
Statyczna biblioteka memcached.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	LIBS="-lrt -lsasl -lpthread" \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules \
	--with-memcached=no # disable memcached detection, we're not doing tests
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/memcapable
%attr(755,root,root) %{_bindir}/memcat
%attr(755,root,root) %{_bindir}/memcp
%attr(755,root,root) %{_bindir}/memdump
%attr(755,root,root) %{_bindir}/memerror
%attr(755,root,root) %{_bindir}/memexist
%attr(755,root,root) %{_bindir}/memflush
%attr(755,root,root) %{_bindir}/memparse
%attr(755,root,root) %{_bindir}/memping
%attr(755,root,root) %{_bindir}/memrm
%attr(755,root,root) %{_bindir}/memslap
%attr(755,root,root) %{_bindir}/memstat
%attr(755,root,root) %{_bindir}/memtouch
%attr(755,root,root) %{_libdir}/libhashkit.so.*.*.*
%attr(755,root,root) %{_libdir}/libmemcached.so.*.*.*
%attr(755,root,root) %{_libdir}/libmemcachedprotocol.so.*.*.*
%attr(755,root,root) %{_libdir}/libmemcachedutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhashkit.so.?
%attr(755,root,root) %ghost %{_libdir}/libmemcached.so.?
%attr(755,root,root) %ghost %{_libdir}/libmemcachedprotocol.so.?
%attr(755,root,root) %ghost %{_libdir}/libmemcachedutil.so.?
%{_mandir}/man1/mem*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhashkit.so
%attr(755,root,root) %{_libdir}/libmemcached.so
%attr(755,root,root) %{_libdir}/libmemcachedprotocol.so
%attr(755,root,root) %{_libdir}/libmemcachedutil.so
%{_libdir}/libhashkit.la
%{_libdir}/libmemcached.la
%{_libdir}/libmemcachedprotocol.la
%{_libdir}/libmemcachedutil.la
%{_includedir}/libhashkit
%{_includedir}/libhashkit-*.*
%{_includedir}/libmemcached
%{_includedir}/libmemcached-*.*
%{_includedir}/libmemcachedprotocol-*.*
%{_includedir}/libmemcachedutil-*.*
%{_pkgconfigdir}/libmemcached.pc
%{_mandir}/man3/*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libhashkit.a
%{_libdir}/libmemcached.a
%{_libdir}/libmemcachedprotocol.a
%{_libdir}/libmemcachedutil.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libmemcached.spec,v $
Revision 1.30  2012/03/05 10:18:20  arekm
- up to 1.0.4

Revision 1.29  2011/09/28 09:48:28  lisu
- link with -lpthread
- remove memaslap tool
- new tool: memping

Revision 1.28  2011/09/28 09:02:59  lisu
- updated to 0.52

Revision 1.27  2011/06/07 07:55:15  lisu
- updated to 0.49
- verbose make
- new binaries

Revision 1.26  2011/03/18 10:58:53  lisu
- up to 0.48

Revision 1.25  2011/03/04 13:43:55  lisu
- up to 0.47
- new URL

Revision 1.24  2011/02/24 21:08:11  lisu
- rel 2 (rebuild against new libevent)

Revision 1.23  2011/02/16 07:55:15  lisu
- 0.46

Revision 1.22  2011/02/11 08:25:22  lisu
- 0.45

Revision 1.21  2011/01/23 01:44:37  sparky
- release: 2

Revision 1.20  2011/01/23 01:44:08  sparky
- devel R: cyrus-sasl-devel

Revision 1.19  2011/01/22 22:30:05  sparky
- BR: cyrus-sasl-devel

Revision 1.18  2010/09/28 08:18:28  lisu
- 0.44

Revision 1.17  2010/07/29 14:10:40  lisu
- 0.43

Revision 1.16  2010/07/08 07:44:03  lisu
- 0.42
- fix linking

Revision 1.15  2010/04/24 16:47:10  lisu
- 0.40

Revision 1.14  2010/04/07 09:09:53  lisu
- 0.39

Revision 1.13  2010/02/15 09:46:42  lisu
- 0.38

Revision 1.12  2010/01/19 21:16:05  sparky
- package libhashkit
- BR: libevent-devel (for memslap)

Revision 1.11  2010/01/19 16:01:16  lisu
- add static_libs bcond
- no *.la files in static

Revision 1.10  2010/01/19 15:06:15  lisu
- 0.37

Revision 1.9  2010/01/09 17:14:50  sparky
- more explicit file listing
- don't mark normal libraries as ghost !
- rel 2

Revision 1.8  2009/11/18 12:37:21  lisu
- up to 0.35

Revision 1.7  2009/10/14 15:48:12  adamg
- updated to 0.34

Revision 1.6  2009/09/25 12:43:52  lisu
- 0.33

Revision 1.5  2009/09/21 13:42:23  lisu
- up to 0.32
- ghost soname symlinks

Revision 1.4  2009/06/01 14:06:33  lisu
- 0.30

Revision 1.3  2009/05/29 08:39:46  lisu
- 0.29

Revision 1.2  2009/04/16 09:16:59  lisu
- 0.28

Revision 1.1  2009/02/02 17:28:29  adamg
- new
